> For the complete documentation index, see [llms.txt](https://academy.gopersonal.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://academy.gopersonal.ai/developers/api-reference/items.md).

# Items

Los siguientes métodos permiten la administración de los items dentro del catalogo de un proyecto.&#x20;

* Version: 1.0
* Base URL: <https://go-admin-api.goshops.com>
* API body: `application/json`
* API response: `application/json`

## Agregar items al catalogo del proyecto

<mark style="color:green;">`POST`</mark> `/api/items`

#### Headers

| Name                                        | Type   | Description                                                           |
| ------------------------------------------- | ------ | --------------------------------------------------------------------- |
| x-api-key<mark style="color:red;">\*</mark> | String | El api key para autorizar la creación. Lo puedes obtener en el Admin. |

#### Request Body

| Name                                      | Type   | Description                                                                                                                                                                                         |
| ----------------------------------------- | ------ | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| project<mark style="color:red;">\*</mark> | String | <p>El id del proyecto. Lo puedes obtener en el admin.</p><p></p>                                                                                                                                    |
| data<mark style="color:red;">\*</mark>    | Object | <p>\*id (requerido) <br>\*sku (requerido) <br>\*name (requerido)<br>\*imgs (requerido)</p><p>\*price (requerido)<br>\*description(requerido)<br>\*active<br>\*Otros campos no requeridos</p><p></p> |

{% tabs %}
{% tab title="200: OK Operación exitosa" %}

{% endtab %}

{% tab title="401: Unauthorized x-api-key no presente o inválido" %}

```javascript
{
    // Response
}
```

{% endtab %}

{% tab title="400: Bad Request Alguno de los campos requeridos no presentes" %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}

## Obtener items de un proyecto

<mark style="color:blue;">`GET`</mark> `/api/items`

#### Query Parameters

| Name    | Type   | Description                 |
| ------- | ------ | --------------------------- |
| limit   | String | Cantidad de items a obtener |
| offset  | String | Offset para el paginado     |
| project | String | Id del Proyecto             |

#### Headers

| Name                                        | Type   | Description                                                           |
| ------------------------------------------- | ------ | --------------------------------------------------------------------- |
| x-api-key<mark style="color:red;">\*</mark> | String | El api key para autorizar la creación. Lo puedes obtener en el Admin. |

{% tabs %}
{% tab title="200: OK Listado de items" %}

```javascript
{
    // Response
}
```

{% endtab %}

{% tab title="401: Unauthorized x-api-key no presente o inválido" %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}

## Modificar un item a partir de su \_id&#x20;

<mark style="color:orange;">`PUT`</mark> `/api/items`

#### Path Parameters

| Name                                   | Type   | Description   |
| -------------------------------------- | ------ | ------------- |
| \_id<mark style="color:red;">\*</mark> | String | \_id del item |

#### Request Body

| Name    | Type   | Description                                                                                                                                                                                  |
| ------- | ------ | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| data    | String | <p>\*id (requerido) <br>\*sku (requerido) <br>\*name (requerido)<br>\*imgs (requerido)</p><p>\*price (requerido)<br>\*description(requerido)<br>\*active<br>\*Otros campos no requeridos</p> |
| project | String | Id del proyecto                                                                                                                                                                              |

{% tabs %}
{% tab title="200: OK Operación exitosa" %}

```javascript
{
    // Response
}
```

{% endtab %}

{% tab title="400: Bad Request Alguno de los campos requeridos no presentes o proyecto inválido" %}

```javascript
{
    // Response
}
```

{% endtab %}

{% tab title="401: Unauthorized x-api-key inválido o no presente" %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://academy.gopersonal.ai/developers/api-reference/items.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
